Bug 144686 - CAN-2004-1184 multiple security issues in enscript (CAN-2004-1185 CAN-2004-1186)
CAN-2004-1184 multiple security issues in enscript (CAN-2004-1185 CAN-2004-1186)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: enscript (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
impact=low,embargo=20050120
: Security
Depends On:
Blocks: 142822
  Show dependency treegraph
 
Reported: 2005-01-10 12:42 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 04:19:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-10 12:42:19 EST
*** This bug has been split off bug 144683 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.10
12:26 -------

This was reported to vendor-sec on 2004-01-07

Erik Sjölund has discovered several security relevant problems in
enscript, a program to converts ASCII text to Postscript and other
formats.  The Common Vulnerabilities and Exposures project identifies
the following vulnerabilities:

CAN-2004-1184

    Unsanitised input can caues the execution of arbitrary commands
    via EPSF pipe support.  This has been disabled, also upstream.

CAN-2004-1185

    Due to missing sanitising of filenames it is possible that a
    specially crafted filename can cause arbitrary commands to be
    executed.

CAN-2004-1186

    Multiple buffer overflows can cause the program to crash.
Comment 1 Mark J. Cox (Product Security) 2005-01-26 04:43:38 EST
removing embargo
Comment 2 Tim Waugh 2005-01-26 05:38:02 EST
RHSA-2005:040
Comment 3 Mark J. Cox (Product Security) 2005-02-15 04:19:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-040.html

Note You need to log in before you can comment on or make changes to this bug.